> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usenumero.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Calculate Bulk Transfer Fees

> Calculate fees for a bulk transfer. Returns the total fees and a per-item breakdown.

Calculate fees for a bulk transfer. Returns the total fees and a per-item breakdown.

## Endpoint

```
POST /api/v1/business/fee/bulk
```

**Signature required:** Yes

## Headers

| Header                       | Required | Description                                                                                                                                                                    |
| ---------------------------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `X-Numero-Api-Key`           | Yes      | Your API key                                                                                                                                                                   |
| `X-Numero-Signature`         | Yes      | Base64 HMAC-SHA256 over the exact raw request body (POST) or the canonicalised query string (GET), keyed with your **Public Key**. See [Request signing](/03-request-signing). |
| `X-Numero-Signature-Version` | Yes      | Always `v2`.                                                                                                                                                                   |

## Request body

| Field           | Type  | Required | Description                                 |
| --------------- | ----- | -------- | ------------------------------------------- |
| `transferItems` | array | Yes      | Array of items, each with an `amount` field |

### Transfer item object

| Field    | Type   | Required | Description              |
| -------- | ------ | -------- | ------------------------ |
| `amount` | number | Yes      | Transfer amount in Naira |

## Request example

```bash theme={null}
curl -X POST "https://api.usenumero.com/numeroaccount/api/v1/business/fee/bulk" \
  -H "Content-Type: application/json" \
  -H "X-Numero-Api-Key: your_api_key" \
  -H "X-Numero-Signature: $SIGNATURE" \
  -H "X-Numero-Signature-Version: v2" \
  -d '{
    "transferItems": [
      { "amount": 150000 },
      { "amount": 200000 }
    ]
  }'
```

## Response

```json theme={null}
{
  "data": {
    "totalAmount": 350000.0,
    "totalNumeroFee": 30.0,
    "totalStampDuty": 100.0,
    "totalFee": 130.0,
    "totalDeductible": 350130.0,
    "feeBreakdown": [
      {
        "amount": 150000.0,
        "numeroFee": 15.0,
        "stampDuty": 50.0,
        "totalFee": 65.0
      },
      {
        "amount": 200000.0,
        "numeroFee": 15.0,
        "stampDuty": 50.0,
        "totalFee": 65.0
      }
    ]
  },
  "error": null,
  "meta": {
    "request_id": "req_365123ebc73323f1482508560ce6400e",
    "pagination": null
  }
}
```

| Field             | Type   | Description                                              |
| ----------------- | ------ | -------------------------------------------------------- |
| `totalAmount`     | number | Sum of all transfer amounts                              |
| `totalNumeroFee`  | number | Total of the fees you're charged                         |
| `totalStampDuty`  | number | Total NGN stamp duty (government levy, not a Numero fee) |
| `totalFee`        | number | Grand total (`totalNumeroFee` + `totalStampDuty`)        |
| `totalDeductible` | number | Total that will be deducted from your balance            |
| `feeBreakdown`    | array  | Per-item fee breakdown                                   |
